import { IntrospectionOptions, IntrospectionQuery, DocumentNode, BuildSchemaOptions, GraphQLSchema } from 'graphql';
import { LanguageService } from './LanguageService';
export declare type SchemaConfig = {
    uri?: string;
    requestOpts?: RequestInit;
    introspectionOptions?: IntrospectionOptions;
    buildSchemaOptions?: BuildSchemaOptions;
    schema?: GraphQLSchema;
    documentString?: string;
    documentAST?: DocumentNode;
    introspectionJSON?: IntrospectionQuery;
    introspectionJSONString?: string;
};
export declare type SchemaLoaderResult = {
    schema: GraphQLSchema;
    introspectionJSON?: IntrospectionQuery;
    introspectionJSONString?: string;
    documentString?: string;
    documentAST?: DocumentNode;
};
export declare type SchemaLoader = (schemaConfig: SchemaConfig, parser: LanguageService['parse']) => Promise<SchemaLoaderResult | null>;
export declare const defaultSchemaLoader: SchemaLoader;
//# sourceMappingURL=schemaLoader.d.ts.map